---
title: Get full report
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Botnet Feed](https://developers.cloudflare.com/api/go/resources/botnet_feed)

[ASN](https://developers.cloudflare.com/api/go/resources/botnet_feed/subresources/asn)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get full report

client.BotnetFeed.ASN.FullReport(ctx, asnID, query) (\*[ASNFullReportResponse](<https://developers.cloudflare.com/api/go/resources/botnet_feed#(resource)%20botnet_feed.asn%20%3E%20(model)%20ASNFullReportResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/botnet\_feed/asn/{asn\_id}/full\_report

Gets all the data the botnet threat feed tracking database has for a given ASN registered to user account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DDoS Botnet Feed Write``DDoS Botnet Feed Read`

##### ParametersExpand Collapse

asnID int64

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(method)%20full_report%20%3E%20(params)%20default%20%3E%20(param)%20asn_id%20%3E%20(schema)>)

<details>

<summary>

query ASNFullReportParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20botnet_feed.asn%20%3E%20(method)%20full_report%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(method)%20full_report%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ASNFullReportResponse struct{…}

</summary>

CIDR stringOptional

<a href="#(resource)%20botnet_feed.asn%20%3E%20(model)%20ASNFullReportResponse%20%3E%20(schema)%20%3E%20(property)%20cidr">Link to this property</a>

Date TimeOptional

formatdate-time

<a href="#(resource)%20botnet_feed.asn%20%3E%20(model)%20ASNFullReportResponse%20%3E%20(schema)%20%3E%20(property)%20date">Link to this property</a>

OffenseCount int64Optional

<a href="#(resource)%20botnet_feed.asn%20%3E%20(model)%20ASNFullReportResponse%20%3E%20(schema)%20%3E%20(property)%20offense_count">Link to this property</a>

</details>

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(model)%20ASNFullReportResponse%20%3E%20(schema)>)

### Get full report

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/botnet_feed"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.BotnetFeed.ASN.FullReport(
    context.TODO(),
    int64(0),
    botnet_feed.ASNFullReportParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.CIDR)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "cidr": "1.1.1.1/32",
    "date": "2014-01-01T05:20:00.12345Z",
    "offense_count": 1000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "cidr": "1.1.1.1/32",
    "date": "2014-01-01T05:20:00.12345Z",
    "offense_count": 1000
  }
}
```